## othman 0.3.0

=== Makefile ===
DESTDIR?=/
datadir?=$(DESTDIR)/usr/share
INSTALL=install

SOURCES=$(wildcard *.desktop.in)
TARGETS=${SOURCES:.in=}

all: $(TARGETS) icons othman-data/ix.db

icons:
	for i in 96 72 64 48 36 32 24 22 16; do \
		convert Othman-128.png -resize $${i}x$${i} Othman-$${i}.png; \
	done

othman-data/ix.db: othman-data/quran.db
	rm othman-data/ix.db || :
	python gen-index.py

pos:
	make -C po all

install: all
	rm othman-data/quran-kareem.png || :
	python setup.py install -O2 --root $(DESTDIR)
	$(INSTALL) -d $(datadir)/applications/
	$(INSTALL) -m 0644 Othman.desktop $(datadir)/applications/
	for i in 96 72 64 48 36 32 24 22 16; do \
		install -d $(datadir)/icons/hicolor/$${i}x$${i}/apps; \
		$(INSTALL) -m 0644 -D Othman-$${i}.png $(datadir)/icons/hicolor/$${i}x$${i}/apps/Othman.png; \
	done

%.desktop: %.desktop.in pos
	intltool-merge -d po $< $@

clean:
	rm -f $(TARGETS) othman-data/ix.db
	for i in 96 72 64 48 36 32 24 22 16; do \
		rm -f Othman-$${i}.png; \
	done

## othman 0.2.5

=== debian/changelog ===
othman (0.2.5-2) unstable; urgency=low

  * debian/copyright: Include the authoritative arabic version of Waqf Public
    License.
  * Remove debian/*.docs
  * debian/rules: override dh_installdocs to symlink doc dirs to that of
    python-othman
  * debian/control: Bumped Standards-Version to 3.9.0 (no changes needed)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 Jun 2010 17:11:48 +0300

othman (0.2.5-1) unstable; urgency=low

  * Initial release (Closes: #579796)
  * Added patch separate_setup.py.diff to remove call for setup.py from
    Makefile.
  * Added patch gen-index_setup.py.diff, to move call to generate Qur'an index
    from Makefile to setup.py, that would make the package build even if
    python2.5 is the default python.
  * Added a patch desktop-categories.diff, to add Education;Literature
    to categories

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 17 Jun 2010 23:04:02 +0300

=== debian/control ===
Source: othman
Section: non-free/misc
Priority: extra
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), gettext, imagemagick, intltool
Standards-Version: 3.9.0
Homepage: http://othman.ojuba.org
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/othman.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/othman.git

Package: python-othman
Section: non-free/python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: library providing access to Quranic text with a fast search index
 This is a Python module that provides access to Quranic text with a fast
 search index.

Package: othman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-othman, python-gtk2
Recommends: islamic-menus
Description: electronic Quran browser
 Othman electronic Quran browser displays Quranic text in Arabic Othmani script
 style as written under authority of Othman ibn Affan the companion of prophet
 Muhammad (Peace Be Upon Him).
 .
 Othman browser features fast search, autoscrolling, copying Quranic text to
 clipboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -Spython_distutils
	dh_auto_build -Smakefile

override_dh_auto_install:
	dh_auto_install -Spython_distutils
	dh_auto_install -Smakefile

override_dh_auto_clean:
	dh_auto_clean -Spython_distutils
	dh_auto_clean -Smakefile
	rm -rf locale po/*.mo

override_dh_install:
	dh_install -ppython-othman -XgtkUi.py
	dh_install -Npython-othman

override_dh_installdocs:
	dh_installdocs --link-doc=python-othman

=== debian/watch ===
version=3
http://git.ojuba.org/cgit/othman/ /cgit/othman/snapshot/othman-(.*)\.tar\.bz2

## othman 0.2.6

=== debian/changelog ===
othman (0.2.6-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * debian/copyright:
    + Replace empty lines in license texts with " ."
    + Change license of debian packaging to GPL-3+ or Waqf Public License
      to avoid incompatible license issues.
  * debian/control:
    + Drop python-support from Build-Deps
    + Bumped python-all Build-Dep to (>= 2.6.6-3~)
    + Use XS-Python-Version control field instead of debian/pyversions
    + Bumped Standards-Version to 3.9.2
  * debian/rules: added --with python2 to dh call.
  * Bumped compat level to 8

  [ Mehdi Dogguy ]
  * Add DM-Upload-Allowed bit in control file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 28 Jul 2011 14:55:36 +0200

## othman 0.2.7

=== debian/changelog ===
othman (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Update copyright format & years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 24 Nov 2011 22:21:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: extra
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), gettext, imagemagick, intltool
-Standards-Version: 3.9.0
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, imagemagick, intltool
+Standards-Version: 3.9.2
 Homepage: http://othman.ojuba.org
 Vcs-Git: git://git.debian.org/git/debian-islamic/packages/othman.git
 Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/othman.git
+X-Python-Version: >= 2.6
 
 Package: python-othman
 Section: non-free/python
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
 Description: library providing access to Quranic text with a fast search index
  This is a Python module that provides access to Quranic text with a fast
  search index.

## othman 0.3.0

=== debian/changelog ===
othman (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 3.9.5
    + Remove obsolete DMUA field
    + Use canonical URIs in VCS-* fields.
    + Replaced python-gtk2 dependency with python-gobject
  * Bumped compat level to 9
  * debian/watch: Updated watch URL.
  * Remove git-buildpackage configuration file.
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 31 Mar 2014 15:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: extra
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, imagemagick, intltool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://othman.ojuba.org
-Vcs-Git: git://git.debian.org/git/debian-islamic/packages/othman.git
-Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/othman.git
+Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/othman.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/othman.git
 X-Python-Version: >= 2.6
 
 Package: python-othman
@@ -22,7 +21,7 @@
 
 Package: othman
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-othman, python-gtk2
+Depends: ${misc:Depends}, ${python:Depends}, python-othman, python-gobject
 Recommends: islamic-menus
 Description: electronic Quran browser
  Othman electronic Quran browser displays Quranic text in Arabic Othmani script

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@
+	dh  $@ --with python2
 
 override_dh_auto_build:
 	dh_auto_build -Spython_distutils

## othman 0.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 INSTALL=install
 
 SOURCES=$(wildcard *.desktop.in)
-TARGETS=${SOURCES:.in=}
+TARGETS=${SOURCES:.in=} othman-data/quran.db
 
 all: $(TARGETS) icons othman-data/ix.db
 
@@ -15,6 +15,10 @@
 othman-data/ix.db: othman-data/quran.db
 	rm othman-data/ix.db || :
 	python gen-index.py
+
+othman-data/quran.db: othman-data/quran.sql othman-data/update-othmani.sql
+	rm $@ || :
+	cat $^ | sqlite3 $@
 
 pos:
 	make -C po all

=== po/Makefile ===
POTFILE=$(shell cat POTFILES.in)
SOURCES=$(addprefix ../, $(POTFILE))
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
all: $(MOFILES)

othman.pot: $(SOURCES)
	intltool-update -g othman -p

%.mo: %.po
	msgfmt $*.po -o $*.mo
	mkdir -p ../locale/$*/LC_MESSAGES/ || :
	cp $*.mo ../locale/$*/LC_MESSAGES/othman.mo

%.po: othman.pot
	intltool-update -g othman -d $*

=== debian/changelog ===
othman (0.4.0-3) unstable; urgency=medium

  * Update my email address
  * debian/copyright: Update copyright years.
  * debian/othman.install: install locale.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 21 May 2015 22:39:04 +0200

othman (0.4.0-2) unstable; urgency=medium

  * debian/control: Moved fonts-hosny-amiri dependency from othman to
    python-othman.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 03 Oct 2014 16:29:34 +0200

othman (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Replace python-gobject in Depends with python-gi, gir1.2-gtk-3.0
    + Bumped Standards-Version to 3.9.6
    + Add sqlite3 to Build-Deps
  * debian/copyright: Use WPL as short name for Waqf Public License.
  * debian/upstream/metadata: Add upstream metadata.
  * Replace SimplifiedNaskh font with a dependency on fonts-hosny-amiri
    package.
  * Removed desktop-categories.diff patch, as it is implemented upstream
  * Refresh remaining patches.
  * debian/rules: Run the makefile buildsystem before python_distutils
    buildsystem, to ensure that quran data gets built before indexing.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 29 Sep 2014 17:17:09 +0200

=== debian/control ===
Source: othman
Section: non-free/misc
Priority: extra
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, imagemagick, intltool, sqlite3
Standards-Version: 3.9.6
Homepage: http://othman.ojuba.org
Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/othman.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/othman.git
X-Python-Version: >= 2.6

Package: python-othman
Section: non-free/python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, fonts-hosny-amiri
Description: library providing access to Quranic text with a fast search index
 This is a Python module that provides access to Quranic text with a fast
 search index.

Package: othman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-othman, python-gi, gir1.2-gtk-3.0
Recommends: islamic-menus
Description: electronic Quran browser
 Othman electronic Quran browser displays Quranic text in Arabic Othmani script
 style as written under authority of Othman ibn Affan the companion of prophet
 Muhammad (Peace Be Upon Him).
 .
 Othman browser features fast search, autoscrolling, copying Quranic text to
 clipboard.

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,16 @@
 	dh  $@ --with python2
 
 override_dh_auto_build:
+	dh_auto_build -Smakefile
 	dh_auto_build -Spython_distutils
-	dh_auto_build -Smakefile
 
 override_dh_auto_install:
+	dh_auto_install -Smakefile
 	dh_auto_install -Spython_distutils
-	dh_auto_install -Smakefile
 
 override_dh_auto_clean:
+	dh_auto_clean -Smakefile
 	dh_auto_clean -Spython_distutils
-	dh_auto_clean -Smakefile
 	rm -rf locale po/*.mo
 
 override_dh_install:

## othman 0.5.1

=== debian/changelog ===
othman (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update team name in Vcs-* URIs

  [ Jeremy Bicha ]
  * This upload will go through the NEW queue since othman was
    accidentally removed from unstable because the previous upload
    was a source-only upload to non-free without autobuild.
  * Add brief comment to debian/copyright explaining why this is non-free

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Nov 2018 18:00:07 -0500

othman (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Add dh-python to build-deps
  * Update Vcs-* URLs
  * Update standards version to 4.2.1
  * Switch to secure copyright format URL
  * Bump compat level to 11
  * Remove unneeded X-Python-Version field
  * Remove menu entry as desktop entry is sufficient
  * Change priority to optional
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 12 Nov 2018 13:42:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: othman
 Section: non-free/misc
-Priority: extra
+Priority: optional
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, imagemagick, intltool, sqlite3
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, imagemagick, intltool, sqlite3, dh-python
+Standards-Version: 4.2.1
 Homepage: http://othman.ojuba.org
-Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/othman.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/othman.git
-X-Python-Version: >= 2.6
+Vcs-Git: https://salsa.debian.org/islamic-team/othman.git
+Vcs-Browser: https://salsa.debian.org/islamic-team/othman
 
 Package: python-othman
 Section: non-free/python

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/othman-$1\.tar\.gz/ \
  https://github.com/ojuba-org/othman/releases /ojuba-org/othman/archive/(.*)\.tar\.gz

## othman 0.6.0

=== Makefile ===
DESTDIR?=/
PREFIX?=$(DESTDIR)/usr
datadir?=$(PREFIX)/share
INSTALL=install
PYTHON=/usr/bin/python3
SOURCES=$(wildcard *.desktop.in)
TARGETS=${SOURCES:.in=}
TEST_DEPS=0

all: $(TARGETS) icons othman-data/ix.db

icons:
	install -d icons; 
	for i in 96 72 64 48 36 32 24 22 16; do \
		convert Othman-128.png -resize $${i}x$${i} icons/Othman-$${i}.png; \
	done

othman-data/ix.db: othman-data/quran.db
	rm othman-data/ix.db || :
	$(PYTHON) gen-index.py

pos:
	make -C po all

install: all
	[ $(TEST_DEPS) == "1" ] && $(PYTHON) -c 'import gi; gi.require_version("Gtk", "3.0")'
	rm othman-data/quran-kareem.png || :
	$(PYTHON) setup.py install --prefix=$(PREFIX)
	$(INSTALL) -d $(datadir)/applications/
	$(INSTALL) -m 0644 Othman.desktop $(datadir)/applications/
	for i in 96 72 64 48 36 32 24 22 16; do \
		install -d $(datadir)/icons/hicolor/$${i}x$${i}/apps; \
		$(INSTALL) -m 0644 -D icons/Othman-$${i}.png $(datadir)/icons/hicolor/$${i}x$${i}/apps/Othman.png; \
	done

%.desktop: %.desktop.in
	echo "updating .desktop"
	intltool-merge -d po $< $@

clean:
	rm -f othman-data/ix.db

=== debian/changelog ===
othman (0.6.0-2) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Imported Upstream version 0.6.0
  * Refresh patches
  * Update standards version to 4.4.1
  * Add gitlab-ci.yml
  * Switch to WPL-2 license
  * Bumped compat level to 12
  * Switch to Python 3 (Closes: #937223)
  * Add testdeps_test.diff patch to remove un-necessary 'import gi' line from
    Makefile
  * d/control:
    + Add Rules-Requires-Root: no
    + Add XS-Autobuild: yes
  * Add build_locales.diff patch

  [ Jeremy Bicha ]
  * Add debian/gbp.conf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 03 Nov 2019 05:14:44 +0100

=== debian/control ===
Source: othman
Section: non-free/misc
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 12)
Build-Depends-Indep: python3-all, gettext, imagemagick, intltool, sqlite3, dh-python
Standards-Version: 4.4.1
XS-Autobuild: yes
Rules-Requires-Root: no
Homepage: http://othman.ojuba.org
Vcs-Git: https://salsa.debian.org/islamic-team/othman.git
Vcs-Browser: https://salsa.debian.org/islamic-team/othman

Package: python3-othman
Section: non-free/python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, fonts-hosny-amiri
Breaks: python-othman
Replaces: python-othman
Description: library providing access to Quranic text with a fast search index
 This is a Python module that provides access to Quranic text with a fast
 search index.

Package: othman
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-othman, python3-gi, gir1.2-gtk-3.0
Recommends: islamic-menus
Description: electronic Quran browser
 Othman electronic Quran browser displays Quranic text in Arabic Othmani script
 style as written under authority of Othman ibn Affan the companion of prophet
 Muhammad (Peace Be Upon Him).
 .
 Othman browser features fast search, autoscrolling, copying Quranic text to
 clipboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --with python3

override_dh_auto_build:
	dh_auto_build -Smakefile
	dh_auto_build -Spybuild

override_dh_auto_install:
	dh_auto_install -Smakefile
	dh_auto_install -Spybuild

override_dh_auto_clean:
	dh_auto_clean -Smakefile
	dh_auto_clean -Spybuild
	rm -rf locale po/*.mo

override_dh_install:
	dh_install -ppython3-othman -XgtkUi.py
	dh_install -Npython3-othman

override_dh_installdocs:
	dh_installdocs --link-doc=python3-othman

## othman 1.0.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 TARGETS=${SOURCES:.in=}
 TEST_DEPS=0
 
-all: $(TARGETS) icons othman-data/ix.db
+all: $(TARGETS) icons
 
 icons:
 	install -d icons; 
@@ -23,7 +23,7 @@
 	make -C po all
 
 install: all
-	[ $(TEST_DEPS) == "1" ] && $(PYTHON) -c 'import gi; gi.require_version("Gtk", "3.0")'
+	[ $(TEST_DEPS) == "1" ] && $(PYTHON) -c 'import gi; gi.require_version("Gtk", "3.0")' || :
 	rm othman-data/quran-kareem.png || :
 	$(PYTHON) setup.py install --prefix=$(PREFIX)
 	$(INSTALL) -d $(datadir)/applications/
@@ -33,10 +33,15 @@
 		$(INSTALL) -m 0644 -D icons/Othman-$${i}.png $(datadir)/icons/hicolor/$${i}x$${i}/apps/Othman.png; \
 	done
 
-%.desktop: %.desktop.in
+%.desktop: %.desktop.in pos
 	echo "updating .desktop"
 	intltool-merge -d po $< $@
 
 clean:
 	rm -f othman-data/ix.db
+	rm -f othman-data/quran-kareem.png
+	rm -rf build
+	rm -f po/*.mo
+	rm -rf locale
+	rm -rf icons

=== po/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	msgfmt $*.po -o $*.mo
 	mkdir -p ../locale/$*/LC_MESSAGES/ || :
 	cp $*.mo ../locale/$*/LC_MESSAGES/othman.mo
+	touch ../*.desktop.in
 
 %.po: othman.pot
 	intltool-update -g othman -d $*

=== debian/changelog ===
othman (1.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 05 Jun 2023 01:47:08 +0200

othman (1.0.0-1) experimental; urgency=medium

  * New upstream version 1.0.0
  * Refresh separate_setup.py.diff.
  * Removed build_locales.diff, fix-set-gtk-version-3.0.patch,
    gen-index_setup.py.diff, testdeps_test.diff patches: applied upstream
  * Update copyright years
  * d/u/metadata: remove Homepage field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 28 Apr 2023 02:52:29 +0200

othman (0.6.0-3) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add dh-sequence-python3 to build-deps
  * Set debhelper compat level in build deps

  [ Jeremy Bicha ]
  * Bump debhelper from old 12 to 13
  * Update debian/watch
  * Update standards version to 4.6.2, no changes needed

  [ mhsabbagh ]
  * Add patch to require Gtk 3.0 (LP: #2002865)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 12:37:49 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 12)
-Build-Depends-Indep: python3-all, gettext, imagemagick, intltool, sqlite3, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: python3, imagemagick, intltool, sqlite3, dh-sequence-python3
+Standards-Version: 4.6.2
 XS-Autobuild: yes
 Rules-Requires-Root: no
 Homepage: http://othman.ojuba.org

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh  $@ --with python3
+	dh  $@
 
 override_dh_auto_build:
 	dh_auto_build -Smakefile
